Index · Directives · Python · libudev · gudev systemd 220

## Name

sd_journal_get_usage — Journal disk usage

## Synopsis

    #include <systemd/sd-journal.h>

`int sd_journal_get_usage(` | sd_journal *j,
| uint64_t *bytes`)`;

## Description

`sd_journal_get_usage()` determines the total disk space currently used by journal files (in bytes). If `SD_JOURNAL_LOCAL_ONLY` was passed when opening the journal, this value will only reflect the size of journal files of the local host, otherwise of all hosts.

## Return Value

`sd_journal_get_usage()` returns 0 on success or a negative errno-style error code.

## Notes

The `sd_journal_get_usage()` interface is available as a shared library, which can be compiled and linked to with the `libsystemd` pkg-config(1) file.

## See Also

systemd(1), sd-journal(3), sd_journal_open(3),